Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobLink.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobLink.cs	(revision 484)
@@ -53,6 +53,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 協力会社職種関連マスタ検索
         /// <summary>
         /// 協力会社職種関連マスタ検索
@@ -60,17 +98,18 @@
         /// <returns></returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  CompanyCode");
-            strcmd.Append(", JobCategoryCode");
-            strcmd.Append(", DisplayOrder");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM SubContractorJobLink");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SubContractorJobLink", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorMail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorMail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorMail.cs	(revision 484)
@@ -195,7 +195,7 @@
 
                 strcmd.AppendFormat("  {0}", data.CompanyCode);
                 strcmd.AppendFormat(", {0}", data.SeqNo);
-                strcmd.AppendFormat(",'{0}'", data.MailAddress);
+                strcmd.AppendFormat(", {0}", SeparateString(data.MailAddress));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -243,7 +243,7 @@
 
                     strcmd.AppendFormat("  {0}", work.CompanyCode);
                     strcmd.AppendFormat(", {0}", work.SeqNo);
-                    strcmd.AppendFormat(",'{0}'", work.MailAddress);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MailAddress));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -282,7 +282,7 @@
 
                 strcmd.AppendFormat(" CompanyCode = {0}", data.CompanyCode);
                 strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
-                strcmd.AppendFormat(", MailAddress = '{0}'", data.MailAddress);
+                strcmd.AppendFormat(", MailAddress = {0}", SeparateString(data.MailAddress));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -347,7 +347,7 @@
                         strcmd.AppendFormat(" SeqNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.MailAddress:
-                        strcmd.AppendFormat(" MailAddress = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailAddress = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 484)
@@ -202,15 +202,15 @@
 
                 strcmd.AppendFormat("  {0}", work.SuppliersCode);
                 strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                strcmd.AppendFormat(",'{0}'", work.SuppliersName1);
-                strcmd.AppendFormat(",'{0}'", work.SuppliersName2);
-                strcmd.AppendFormat(",'{0}'", work.ZipCode);
-                strcmd.AppendFormat(",'{0}'", work.Address1);
-                strcmd.AppendFormat(",'{0}'", work.Address2);
-                strcmd.AppendFormat(",'{0}'", work.Address3);
-                strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
-                strcmd.AppendFormat(",'{0}'", work.FaxNumber);
-                strcmd.AppendFormat(",'{0}'", work.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(work.SuppliersName1));
+                strcmd.AppendFormat(", {0}", SeparateString(work.SuppliersName2));
+                strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                 strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -260,15 +260,15 @@
 
                     strcmd.AppendFormat("  {0}", work.SuppliersCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                    strcmd.AppendFormat(",'{0}'", work.SuppliersName1);
-                    strcmd.AppendFormat(",'{0}'", work.SuppliersName2);
-                    strcmd.AppendFormat(",'{0}'", work.ZipCode);
-                    strcmd.AppendFormat(",'{0}'", work.Address1);
-                    strcmd.AppendFormat(",'{0}'", work.Address2);
-                    strcmd.AppendFormat(",'{0}'", work.Address3);
-                    strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(",'{0}'", work.FaxNumber);
-                    strcmd.AppendFormat(",'{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SuppliersName1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SuppliersName2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -309,15 +309,15 @@
 
                 strcmd.AppendFormat(" SuppliersCode = {0}", data.SuppliersCode);
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
-                strcmd.AppendFormat(", SuppliersName1 = '{0}'", data.SuppliersName1);
-                strcmd.AppendFormat(", SuppliersName2 = '{0}'", data.SuppliersName2);
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", SuppliersName1 =  {0}", SeparateString(data.SuppliersName1));
+                strcmd.AppendFormat(", SuppliersName2 =  {0}", SeparateString(data.SuppliersName2));
+                strcmd.AppendFormat(", ZipCode =  {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 =  {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 =  {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 =  {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", PhoneNumber =  {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", FaxNumber =  {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", Note =  {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 484)
@@ -218,23 +218,23 @@
                 strcmd.Append(") VALUES (");
 
                 strcmd.AppendFormat("  {0}", data.SystemCode);
-                strcmd.AppendFormat(",'{0}'", data.CompanyName1);
-                strcmd.AppendFormat(",'{0}'", data.CompanyName2);
-                strcmd.AppendFormat(",'{0}'", data.CEOName);
-                strcmd.AppendFormat(",'{0}'", data.CEOPositionName);
-                strcmd.AppendFormat(",'{0}'", data.ZipCode);
-                strcmd.AppendFormat(",'{0}'", data.Address1);
-                strcmd.AppendFormat(",'{0}'", data.Address2);
-                strcmd.AppendFormat(",'{0}'", data.Address3);
-                strcmd.AppendFormat(",'{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(",'{0}'", data.FaxNumber);
-                strcmd.AppendFormat(",'{0}'", data.HomePageURL);
+                strcmd.AppendFormat(", {0}", SeparateString(data.CompanyName1));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CompanyName2));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEOName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEOPositionName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.HomePageURL));
                 strcmd.AppendFormat(", {0}", data.ConsumptionTax);
                 strcmd.AppendFormat(", {0}", data.CooperationRate);
                 strcmd.AppendFormat(", {0}", data.StatutoryWelfareRate);
                 strcmd.AppendFormat(", {0}", data.FuelPrice);
                 strcmd.AppendFormat(", {0}", data.AreaDistance);
-                strcmd.AppendFormat(",'{0}'", data.ExcelSavePath);
+                strcmd.AppendFormat(", {0}", SeparateString(data.ExcelSavePath));
 
                 strcmd.AppendFormat(", {0}", data.BusinessPeriod);
                 strcmd.AppendFormat(", {0}", data.ConstrYear);
@@ -244,9 +244,9 @@
                 strcmd.AppendFormat(",DATE('{0}')", data.ConstrCompDate.ToShortDateString());
                 strcmd.AppendFormat(", {0}", data.ConstructionNoBase);
 
-                strcmd.AppendFormat(",'{0}'", data.SloganString1);
-                strcmd.AppendFormat(",'{0}'", data.SloganString2);
-                strcmd.AppendFormat(",'{0}'", data.SloganString3);
+                strcmd.AppendFormat(", {0}", SeparateString(data.SloganString1));
+                strcmd.AppendFormat(", {0}", SeparateString(data.SloganString2));
+                strcmd.AppendFormat(", {0}", SeparateString(data.SloganString3));
 
                 strcmd.AppendFormat(", {0}", data.OperationFlg);
 
@@ -295,23 +295,23 @@
                     else strcmd.Append(", (");
 
                     strcmd.AppendFormat("  {0}", work.SystemCode);
-                    strcmd.AppendFormat(",'{0}'", work.CompanyName1);
-                    strcmd.AppendFormat(",'{0}'", work.CompanyName2);
-                    strcmd.AppendFormat(",'{0}'", work.CEOName);
-                    strcmd.AppendFormat(",'{0}'", work.CEOPositionName);
-                    strcmd.AppendFormat(",'{0}'", work.ZipCode);
-                    strcmd.AppendFormat(",'{0}'", work.Address1);
-                    strcmd.AppendFormat(",'{0}'", work.Address2);
-                    strcmd.AppendFormat(",'{0}'", work.Address3);
-                    strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(",'{0}'", work.FaxNumber);
-                    strcmd.AppendFormat(",'{0}'", work.HomePageURL);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEOName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEOPositionName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.HomePageURL));
                     strcmd.AppendFormat(", {0}", work.ConsumptionTax);
                     strcmd.AppendFormat(", {0}", work.CooperationRate);
                     strcmd.AppendFormat(", {0}", work.StatutoryWelfareRate);
                     strcmd.AppendFormat(", {0}", work.FuelPrice);
                     strcmd.AppendFormat(", {0}", work.AreaDistance);
-                    strcmd.AppendFormat(",'{0}'", work.ExcelSavePath);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ExcelSavePath));
 
                     strcmd.AppendFormat(", {0}", work.BusinessPeriod);
                     strcmd.AppendFormat(", {0}", work.ConstrYear);
@@ -321,9 +321,9 @@
                     strcmd.AppendFormat(",DATE('{0}')", work.ConstrCompDate);
                     strcmd.AppendFormat(", {0}", work.ConstructionNoBase);
 
-                    strcmd.AppendFormat(",'{0}'", work.SloganString1);
-                    strcmd.AppendFormat(",'{0}'", work.SloganString2);
-                    strcmd.AppendFormat(",'{0}'", work.SloganString3);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SloganString1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SloganString2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SloganString3));
 
                     strcmd.AppendFormat(", {0}", work.OperationFlg);
 
@@ -364,23 +364,23 @@
                 strcmd.Append(" SET");
 
                 strcmd.AppendFormat("  SystemCode = {0}", data.SystemCode);
-                strcmd.AppendFormat(", CompanyName1 = '{0}'", data.CompanyName1);
-                strcmd.AppendFormat(", CompanyName2 = '{0}'", data.CompanyName2);
-                strcmd.AppendFormat(", CEOName = '{0}'", data.CEOName);
-                strcmd.AppendFormat(", CEOPositionName = '{0}'", data.CEOPositionName);
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", HomePageURL = '{0}'", data.HomePageURL);
+                strcmd.AppendFormat(", CompanyName1 =  {0}", SeparateString(data.CompanyName1));
+                strcmd.AppendFormat(", CompanyName2 =  {0}", SeparateString(data.CompanyName2));
+                strcmd.AppendFormat(", CEOName =  {0}", SeparateString(data.CEOName));
+                strcmd.AppendFormat(", CEOPositionName =  {0}", SeparateString(data.CEOPositionName));
+                strcmd.AppendFormat(", ZipCode =  {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 =  {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 =  {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 =  {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", PhoneNumber =  {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", FaxNumber =  {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", HomePageURL =  {0}", SeparateString(data.HomePageURL));
                 strcmd.AppendFormat(", ConsumptionTax = {0}", data.ConsumptionTax);
                 strcmd.AppendFormat(", CooperationRate = {0}", data.CooperationRate);
                 strcmd.AppendFormat(", StatutoryWelfareRate = {0}", data.StatutoryWelfareRate);
                 strcmd.AppendFormat(", FuelPrice = {0}", data.FuelPrice);
                 strcmd.AppendFormat(", AreaDistance = {0}", data.AreaDistance);
-                strcmd.AppendFormat(", ExcelSavePath = '{0}'", data.ExcelSavePath);
+                strcmd.AppendFormat(", ExcelSavePath = {0}", SeparateString(data.ExcelSavePath));
 
                 strcmd.AppendFormat(", BusinessPeriod = {0}", data.BusinessPeriod);
                 strcmd.AppendFormat(", ConstrYear = {0}", data.ConstrYear);
@@ -390,9 +390,9 @@
                 strcmd.AppendFormat(", ConstrCompDate = DATE('{0}')", data.ConstrCompDate.ToShortDateString());
                 strcmd.AppendFormat(", ConstructionNoBase = {0}", data.ConstructionNoBase);
 
-                strcmd.AppendFormat(", SloganString1 = '{0}'", data.SloganString1);
-                strcmd.AppendFormat(", SloganString2 = '{0}'", data.SloganString2);
-                strcmd.AppendFormat(", SloganString3 = '{0}'", data.SloganString3);
+                strcmd.AppendFormat(", SloganString1 = {0}", SeparateString(data.SloganString1));
+                strcmd.AppendFormat(", SloganString2 = {0}", SeparateString(data.SloganString2));
+                strcmd.AppendFormat(", SloganString3 = {0}", SeparateString(data.SloganString3));
 
                 strcmd.AppendFormat(", OperationFlg = {0}", data.OperationFlg);
 
@@ -430,37 +430,37 @@
                         strcmd.AppendFormat(" SystemCode = {0}", ((int)value).ToString());
                         break;
                     case (int)SystemColumn.CompanyName1:
-                        strcmd.AppendFormat(" CompanyName1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName1 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.CompanyName2:
-                        strcmd.AppendFormat(" CompanyName2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName2 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.CEOName:
-                        strcmd.AppendFormat(" CeoName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CeoName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.CEOPositionName:
-                        strcmd.AppendFormat(" CeoName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CeoName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.ZipCode:
-                        strcmd.AppendFormat(" CeoName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CeoName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.Address1:
-                        strcmd.AppendFormat(" Address1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address1 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.Address2:
-                        strcmd.AppendFormat(" Address2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address2 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.Address3:
-                        strcmd.AppendFormat(" Address3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address3 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.PhoneNumber:
-                        strcmd.AppendFormat(" PhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PhoneNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.FaxNumber:
-                        strcmd.AppendFormat(" FaxNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FaxNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.HomePageURL:
-                        strcmd.AppendFormat(" HomePageURL = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" HomePageURL =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.ConsumptionTax:
                         strcmd.AppendFormat(" ConsumptionTax = {0}", ((decimal)value).ToString());
@@ -478,7 +478,7 @@
                         strcmd.AppendFormat(" AreaDistance = {0}", ((decimal)value).ToString());
                         break;
                     case (int)SystemColumn.ExcelSavePath:
-                        strcmd.AppendFormat(" ExcelSavePath = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ExcelSavePath = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.BusinessPeriod:
                         strcmd.AppendFormat(" BusinessPeriod = {0}", ((int)value).ToString());
@@ -502,13 +502,13 @@
                         strcmd.AppendFormat(" ConstructionNoBase = {0}", ((int)value).ToString());
                         break;
                     case (int)SystemColumn.SloganString1:
-                        strcmd.AppendFormat(" SloganString1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SloganString1 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.SloganString2:
-                        strcmd.AppendFormat(" SloganString2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SloganString2 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.SloganString3:
-                        strcmd.AppendFormat(" SloganString3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SloganString3 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)SystemColumn.OperationFlg:
                         strcmd.AppendFormat(" OperationFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 484)
@@ -142,8 +142,8 @@
                 strcmd.AppendFormat(",{0}", data.DisplayOrder);
                 strcmd.AppendFormat(",{0}", data.CheckSchdule.ToString());
                 strcmd.AppendFormat(",{0}", data.TermDays.ToString());
-                strcmd.AppendFormat(",'{0}'", data.SendTitle);
-                strcmd.AppendFormat(",'{0}'", data.SendMessage);
+                strcmd.AppendFormat(",{0}", SeparateString(data.SendTitle));
+                strcmd.AppendFormat(",{0}", SeparateString(data.SendMessage));
                 strcmd.AppendFormat(",'{0}'", data.BackColor);
                 strcmd.AppendFormat(",'{0}'", data.ForeColor);
 
@@ -198,8 +198,8 @@
                     strcmd.AppendFormat(",{0}", work.DisplayOrder);
                     strcmd.AppendFormat(",{0}", work.CheckSchdule.ToString());
                     strcmd.AppendFormat(",{0}", work.TermDays.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.SendTitle);
-                    strcmd.AppendFormat(",'{0}'", work.SendMessage);
+                    strcmd.AppendFormat(",{0}", SeparateString(work.SendTitle));
+                    strcmd.AppendFormat(",{0}", SeparateString(work.SendMessage));
                     strcmd.AppendFormat(",'{0}'", work.BackColor);
                     strcmd.AppendFormat(",'{0}'", work.ForeColor);
 
@@ -244,8 +244,8 @@
                 strcmd.AppendFormat(",CheckSchdule = {0}", data.CheckSchdule.ToString());
 
                 strcmd.AppendFormat(",TermDays = {0}", data.TermDays.ToString());
-                strcmd.AppendFormat(",SendTitile = '{0}'", data.SendTitle);
-                strcmd.AppendFormat(",SendMessage = '{0}'", data.SendMessage);
+                strcmd.AppendFormat(",SendTitile = {0}", SeparateString(data.SendTitle));
+                strcmd.AppendFormat(",SendMessage = {0}", SeparateString(data.SendMessage));
                 strcmd.AppendFormat(",BackColor = '{0}'", data.BackColor);
                 strcmd.AppendFormat(",ForeColor = '{0}'", data.ForeColor);
 
